我们将在春节假期期间对网站进行维护,可能暂时无法访问,同时工程师回复将有所延迟,敬请谅解.

This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

[参考译文] PRU-ICSS-INDUSTRIAL-SW:PRU-ICSS-EthernetIP_Adapter_01.00.03.04、与 PROCESSOR-SDK-AM335X 的版本06.03.00.106兼容

Genius 17410 points
Other Parts Discussed in Thread: AM3356, PROCESSOR-SDK-AM335X
请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

https://e2e.ti.com/support/processors-group/processors/f/processors-forum/1127348/pru-icss-industrial-sw-pru-icss-ethernetip_adapter_01-00-03-04-compatibility-with-version-06-03-00-106-of-processor-sdk-am335x

器件型号:PRU-ICSS-INDUSTRIAL-SW
主题中讨论的其他器件:AM3356PROCESSOR-SDK-AM335X

您好、TI 支持

我们正在开发具有 Profinet 和 EtherNet/IP 通信的网络张力测量产品。

我们选择的处理器是 TI Sitara AM3356。

软件的 PROFINET 部分已完成、我们使用了以下软件组件:

-BIOS_6_76_03_01

-cG_xml_2.61.00

-EDMA3_LLD_2_12_05_30E

gcc-arm-none-eabi-7-2018-Q2-update

-NDK_3_61_01_01

-ns_2_60_01_06

-pdk_am335x_1_0_17

-ti-cgt-pru_2.3.2

-xdctools_3_55_02_22_core

ccs1110

我们希望 EtherNet/IP 通信也是同一软件(相同的二进制文件)的一部分。

使用用户参数、应可以在 Profinet 和 EtherNet/IP 之间进行切换。

但问题在于、ICEv2开发板中的 EtherNet/IP 通信(PRU-ICSS-EthernetIP_Adapter_01.00.03.04)仅与  AM335x RTOS SDK 版本(PROCESSOR-SDK-AM335X)  05.02.00.10兼容

在该版本中、软件组件版本要旧得多。

因此、我们尝试自己进行移植。 任务是移植 PRU-ICSS-EthernetIP_Adapter_01.00.03.04、以便与具有上述 TI SW 组件版本的 ICEv2开发板配合使用。

在进行了一些实验之后、我们注意到了以下情况:

EtherNet/IP 封装(PRU-ICSS-EthernetIP_Adapter_01.00.03.04)可与上面列出的所有软件组件版本配合使用、但 PDK_AM335x_1_0_17除外。

如果 使用了 pdk_am335x_1_0_17、则仍可以构建程序、但仍可以运行和调试程序。 但实际的 EtherNet/IP 通信无法正常工作、我们不知道原因。 该器件不响应 ping 操作、也不进行通信

EtherNet/IP 工具实现的。

但使用了 PDK_AM335x_1_0_16版本、则通信正常。

因此得出的结论是 、pdk_am335x_1_0_17和 pdk_am335x_1_0_16存在一些差异、这会导致 EtherNet/IP 通信无法正常工作。

深入探讨这一点后、我们认为我们已经跟踪了此差异/更改/修改的确切位置。

它位于此文件夹中:  

C:\ti\pdk_am335x_1_0_17\packages/ti\drv\ICSS_EMAC

在 ICSS_EMAC 封装中、我们注意   到在 PDK_AM335x_1_0_16和 PDK_AM335x_1_0_17之间进行了大量更改。

其中许多变化似乎与风暴预防和固件学习有关。

我们认为这是导致 EtherNet/IP 通信停止工作的其中一个变化。

我们必须确保 EtherNet/IP 通信正常运行、同时也使用 PDK_AM335x_1_0_17

如果您能向我们提供 有关 pdk_am335x_1_0_17 (可能在 ICSS_EMAC 文件夹中)或中要进行哪些更改的提示、我们将不胜感激

PRU-ICSS-EthernetIP_Adapter_01.00.03.04、以使 EtherNet/IP 通信在 ICEv2开发板中正常工作。

只有当它在 ICEv2板上工作时、我们才有信心将软件移植到我们的定制板。

此致

Aravindh

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好 Aravindh、  

    PRU-ICSS-EthernetIP_Adapter_01.00.03.04仅与 PDK_1_0_16兼容、不能与 PDK_1_0_17配合使用。

    要使其正常工作、需要更新固件、这意味着必须提供新的软件包。

    目前、我们正在更新 PRU-ICSS-EthernetIP 包、以使其与最新的一致性工具兼容。

    此致、

    Roopak

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Roopak

    感谢您的回复。

    您是否知道 EtherNet/IP 示例应用的下一个正式版本何时可以发布?

    此外、您能否确认下一个版本将与 pdk_1_0_17兼容?

    以及下面显示的软件工具:

    -BIOS_6_76_03_01

    -cG_xml_2.61.00

    -EDMA3_LLD_2_12_05_30E

    gcc-arm-none-eabi-7-2018-Q2-update

    -NDK_3_61_01_01

    -ns_2_60_01_06

    -ti-cgt-pru_2.3.2

    -xdctools_3_55_02_22_core

    供您参考:

    经过一些调查和工作、我们设法使 EtherNet/IP 示例与 PDK_1_0_17和上面显示的软件工具版本兼容。

    在 main 函数中、在驱动程序初始化期间、需要对以下 API 进行调用:

    ICSS_emacGetFWMapInitConfig

    ICSS_emacSetFWMapInitConfig

    函数标头注释指出、这两个 API 需要在 ICSS_EmacInit 函数之前调用。

    上述两个函数在 ICSS_emacFwConfig.c/icss_emacFwConfig.h 文件中定义/声明(我们复制了这些文件)

    来自最新版本的 Profinet 示例应用程序)、并应位于以下文件夹中:

    C:\ti\PRU-ICSS-EthernetIP_Adapter_01.00.03.04\protocols\EtherNetIP_adapter\firmware

    通过这一更改、我们已经完成了测试、大多数 EtherNet/IP 通信功能似乎正常工作。

    以上是权变措施、因此我们可以继续将示例应用移植到定制板。

    当然、我们更喜欢使用 EtherNet/IP 示例应用的官方版本、因此您正在着手开发 EtherNet/IP 示例应用是一个好消息。

    如前所述、了解发布计划和软件工具兼容性信息将非常有用。

    此致

    Aravindh

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好  Aravindh、

     

    [引用 userid="530712" URL"~/support/processors-group/processors/f/processors-forum /1127348/PRU-ICSS-INDUSTRIAL-SW-PRU-ICSS-ETHERNetIP_ADAPTER_01-00-03-04-compatibility-with-version-03-00-106-of-processor-SDK-AM335x/4184736#4184736#4184736]当您准备好下一个正式的以太网/以太网应用程序版本时,您将会知道该应用程序的版本[大约什么时候?]

    我将在一周内的发布日期与您联系。

    [引用 userid="530712" URL"~/support/processors-group/processors/f/processors-forum /1127348/PRU-ICSS-INDUSTRIAL-SW-PRU-ICSS-ETHERNetIP_ADAPTER_01-00-03-04-compatibility-with-version-03-00-106-of-processor-SDK-AM335x/4184736#4184736#4184736_1.]您还可以确认下一个 PDK 版本是否与以下版本兼容,并确认是否与以下版本兼容?]

    是的、它将与 pdk_1_0_17兼容。

    此致、

    Roopak

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Roopak

    提醒一下

    此致

    Aravindh

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好  Aravindh、

    EtherNet/IP 版本(在 Processor SDK 6.3上)计划于2022年11月10日发布。

    此致、
    Roopak

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Roopak

    感谢您提供信息。

    此致

    Aravindh